LINUX.ORG.RU

ATI, малегькая проблема


0

0

Добрый день! Система Debian Sid.

Пытаюсь ставить дрова из реп, вот что он мне выдает

root@rg:/home/arm# apt-get install fglrx-control fglrx-driver

Чтение списков пакетов... Готово

Построение дерева зависимостей

Чтение информации о состоянии... Готово

Некоторые пакеты невозможно установить. Возможно, вы просите

невозможного, или же используете нестабильную версию дистрибутива, где запрошенные

вами пакеты ещё не созданы или были удалены из Incoming.

Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:

fglrx-driver: Зависит: xserver-xorg (>= 1:7.4+1) но он не будет

установлен Рекомендует: fglrx-atieventsd но он не будет

установлен

E: Сломанные пакеты


Возможно, вы просите невозможного, или же используете нестабильную версию дистрибутива, где запрошенные вами пакеты ещё не созданы или были удалены из Incoming.

Не?

madgnu ★★★★★ ()

>fglrx-driver: Зависит: xserver-xorg (>= 1:7.4+1) но он не будет установлен

В сид оно есть, должно бы обновиться. aptitude -P install fglrx-control fglrx-driver тоже ругается?

// У меня, правда, nvidia, так что про fgrlx я особо ничего сказать не могу.

Deleted ()
Ответ на: комментарий от Unclown

>ну так обнови Xorg в чем проблема?

Подскажите как?

armrg ()
Ответ на: комментарий от armrg

У тебя xserver-xorg не на hold, случаем? С чего бы ему не обновляться то автоматически… Как вариант, вписать xserver-xorg тоже в список устанавливаемых в команде и смотреть, на что будет ругаться. Можно с опцией --simulate если aptitude что б так сразу ничего не поломать.

Deleted ()
Ответ на: комментарий от Deleted

>У тебя xserver-xorg не на hold, случаем? С чего бы ему не обновляться то автоматически… Как вариант, вписать xserver-xorg тоже в список устанавливаемых в команде и смотреть, на что будет ругаться. Можно с опцией --simulate если aptitude что б так сразу ничего не поломать.

Что такое hold, и как это проверить? А пакет не ставится

armrg ()
Ответ на: комментарий от Deleted

Вот что он сейчас пишет

root@rg:/home/arm# aptitude -P install fglrx-control fglrx-driver

Чтение списков пакетов... Готово

Построение дерева зависимостей

Чтение информации о состоянии... Готово

Чтение информации о расширенных состояниях... Готово

Инициализация состояний пакетов... Готово

Чтение описаний задач... Готово

Следующие НОВЫЕ пакеты будут установлены:

fglrx-control fglrx-driver fglrx-glx{a}

0 пакетов обновлено, 3 установлено новых, 0 пакетов отмечено для

удаления, и 0 пакетов не обновлено.

Необходимо получить 20,0MB архивов. После распаковки 57,8MB будет

занято.

Следующие пакеты имеют неудовлетворённые зависимости:

xserver-xorg-core: Конфликтует: xserver-xorg-video-5 который

является виртуальным пакетом.

Следующие действия разрешат зависимости:

Сохранить для следующих пакетов их текущие версии:

1) fglrx-control [Не установлен]

2) fglrx-driver [Не установлен]

3) fglrx-glx [Не установлен]

Уровень: Отменить все действия пользователя (20000)

Принять данное решение? [Y/n/q/?] y

Ни одного пакета не будет установлено, обновлено или удалено.

0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для

удаления, и 0 пакетов не обновлено.

Необходимо получить 0B архивов. После распаковки 0B будет занято.

Запись информации расширенных состояний... Готово

Чтение списков пакетов... Готово

Построение дерева зависимостей

Чтение информации о состоянии... Готово

Чтение информации о расширенных состояниях... Готово

Инициализация состояний пакетов... Готово

Чтение описаний задач... Готово

armrg ()
Ответ на: комментарий от armrg

Если не знаешь, то скорее всего нет :) hold это запрещение пакету обновляться. Обычно отображется буквой 'h' (если не вру) когда список пакетов выводится, по aptitude search xserver-xorg например.

А пакет не ставится

Что именно говорит

aptitude --simulate install xserver-xorg
?

Кстати, что в /etc/apt/sources.list?

Deleted ()
Ответ на: такие дела от Unclown

Re: такие дела

>with xserver-xorg-video-5 which is supplied by fglrx-driver

Всё понятно :) Одна из причин, почему не рекомендую сид — петрушка с зависимостями таки бывает…

Deleted ()
Ответ на: комментарий от armrg

В данном случае fglrx сам по себе не поддерживает эти новые X'ы, так что даже если ты их руками поставишь, работать они не будут.

Но это ж вроде проприетарные дрова, на ЛОРе сколько говорили про открытые, я помню, как называются то, кто помнит? Они то уж работают, наверное…

Deleted ()
Ответ на: комментарий от armrg

открытые драйвера попробуй. Меня они почти устраивают в текущем виде из sid. С ними как ни странно работают openarena и sauerbraten.

ptah_alexs ★★★★★ ()
Ответ на: комментарий от ptah_alexs

>открытые драйвера попробуй. Меня они почти устраивают в текущем виде из sid. С ними как ни странно работают openarena и sauerbraten.

А подскажите как поставить открытые дрова?

armrg ()
Ответ на: комментарий от armrg

Особо сильно пугаться не стоит :) Сейчас стоит поставить свободные дрова (подождём как подскажут, которые они), а потом можно уже будет поменять в sources.list сид на сквиз и ждать спокойно релиза, иногда обновляясь (новые пакеты старыми не заменяются всё равно).

Deleted ()
Ответ на: комментарий от Deleted

>Особо сильно пугаться не стоит :) Сейчас стоит поставить свободные дрова (подождём как подскажут, которые они), а потом можно уже будет поменять в sources.list сид на сквиз и ждать спокойно релиза, иногда обновляясь (новые пакеты старыми не заменяются всё равно).

Ставлю заново, благо не долго это делать... минут 30...

armrg ()
Ответ на: комментарий от armrg

Удалить всё что относится к fglrx. Возможно потребуется переустановить libgl1-mesa-dri libgl1-mesa-glx libglu1-mesa librdm2. Ядро должно быть 2.6.32. Установить xserver-xorg-video-radeon. И останется только написать в xorg.conf что нужно использовать драйвер radeon

ptah_alexs ★★★★★ ()
Ответ на: комментарий от armrg

Подозреваю, что в секции Device должно быть что-то в духе Driver «radeon».

А автоматом это дело ещё не подхватается иксами? Как страшно жить :\ Впрочем, nvidia то то же не подхватывается…

Deleted ()
Ответ на: комментарий от armrg

у меня вот так выглядит xorg.conf:

Section «Device»

Identifier «Configured Video Device»

# Driver «fglrx»

Driver «radeon»

EndSection

ptah_alexs ★★★★★ ()
Ответ на: комментарий от Deleted

Если драйвер не указывать то по умолчанию вызывается radeon, в том числе и если xorg.conf нет совсем.

ptah_alexs ★★★★★ ()
Ответ на: комментарий от Deleted

Ты точно дебианщик? Это _виртуальный_ пакет, предоставляется драйверами от Xorg определенной версии, чтобы они конфликтовали с Xorg другой версии.

По сабжу: ТС нужны убунта, синаптик и знакомый гуру из соседнего подъезда.

t184256 ★★★★★ ()
Ответ на: комментарий от t184256

Ты точно не болен? Перечитай выше, nvidia у меня, а телепаты давно вымерли.

Deleted ()

Обновитесь. aptitude update && aptitude upgrade
/etc/apt/sources.list на http://paste.org.ru/ и ссылку сюда.

AITap ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.